<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <SlpRow class="sm:slp-mt-24 showcase__container">
    <SlpColumn class="showcase_description__container">
      <nuxt-img
        v-if="data.image_url"
        class="showcase_image"
        :src="data.image_url"
        alt=""
      />
      <SlpTypography tag="h2" variant="heading3">
        {{ data.header }}
      </SlpTypography>
      <SlpTypography tag="p" variant="body1"> {{ data.text }} </SlpTypography>
    </SlpColumn>
    <SlpColumn class="showcase_cards__container">
      <div v-for="card in data.cards" :key="card.header" class="card slp-card">
        <SlpTypography tag="h3" variant="heading4">
          {{ card.header }}
        </SlpTypography>
        <SlpTypography tag="p" variant="body1">{{ card.text }}</SlpTypography>
      </div>
    </SlpColumn>
  </SlpRow>
</template>

<style lang="scss" scoped>
.showcase__container {
  max-width: 80%;
  margin: 0 auto 3rem auto;
}
.showcase_description__container {
  margin-right: 20px;
}
.showcase_image {
  max-width: 100%;
}
.card {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  text-align: left;
  box-sizing: border-box;
  margin: $spacing-32 0;
}
h2 {
  margin: 1rem 0;
}
h3 {
  margin: 8px 0 10px 0;
}
p {
  font-size: 16px;
  line-height: 24px;
}
</style>
